Add Vcenter Configuration

Add Vcenter Configuration
Add Vcenter Configuration

Creates a new vCenter configuration. Validates the vCenter credentials and connectivity before saving. Automatically triggers license discovery job and creates self-site pairing if successful.

Request
URI
POST
https://{server}:9443/api/admin/global/config/vcenter
COPY
Request Body
VcenterPostRequestBody of type(s) application/json
Required
{
    "data": {
        "items": [
            {
                "config": {
                    "url": "https://vcenter.example.com",
                    "userName": "[email protected]",
                    "password": "VGVzdFBhc3N3b3JkMTIzIQ=="
                }
            }
        ]
    }
}
object
data
Optional

data

Authentication
This operation uses the following authentication methods.
Responses
200

vCenter configuration created successfully

Returns VcenterGetResponse200 of type(s) application/json
{
    "data": {
        "items": [
            {
                "section": "vcenter",
                "config": {
                    "userName": "[email protected]",
                    "url": "https://vcenter.example.com",
                    "vcuuid": "52a3f5d7-8b9c-4e1d-a2f3-6b8c9d0e1f2a",
                    "buildNumber": "20845200",
                    "UUID": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
                    "version": "8.0.2",
                    "name": "vCenter Server"
                }
            }
        ]
    }
}
object
data
Required

data


400

Bad request - validation failed, invalid credentials, or SSL certificate error

{
    "isSuccess": false,
    "message": "Request schema validation failed",
    "httpStatusCode": 400
}

500

Internal server error - configuration save failed

Returns ErrorResponse of type(s) application/json
{
    "isSuccess": false,
    "message": "Unable to save vCenter configuration",
    "httpStatusCode": 500
}
boolean
isSuccess
Required

Indicates if the operation was successful

string
message
Required

Human-readable error message

integer
httpStatusCode
Required

HTTP status code


Code Samples
COPY
                    curl -X POST -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{}' https://{api_host}/api/admin/global/config/vcenter